## ovn 22.03.3

=== debian/changelog ===
ovn (22.03.3-0ubuntu0.22.04.5) jammy-security; urgency=medium

  * SECURITY UPDATE: ACL bypass in logical switch with DNS records
    - debian/patches/CVE-2025-0650.patch: skip only OVN DNS responder
      packets from OUT_ACL in controller/pinctrl.c,
      include/ovn/logical-fields.h, lib/logical-fields.c, northd/northd.c,
      tests/ovn.at.
    - CVE-2025-0650

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2025 09:56:48 -0500

ovn (22.03.3-0ubuntu0.22.04.3) jammy; urgency=medium

  * d/control: Update openvswitch-source build dependency version.
  * d/p/lp-2056769-ftbfs.patch: Fix FTBFS (LP: #2056769).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 14 Mar 2024 14:22:40 +0000

ovn (22.03.3-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Insufficient validation of incoming BFD packets
    - debian/patches/CVE-2024-2182.patch: set check_tnl_key for BFD on
      tunnel ifaces in controller/bfd.c, tests/ovn.at.
    - CVE-2024-2182

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 19:42:46 -0500

ovn (22.03.3-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version 22.03.3 (LP: #2034675).
    - Add CoPP for the svc_monitor_mac. This addresses CVE-2023-3153.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 07 Sep 2023 08:17:55 +0000

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ovn-$1\.tar\.gz/ \
  https://github.com/ovn-org/ovn/tags .*/v?(\d\S+)\.tar\.gz
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ovn-vif-$1\.tar\.gz/, component=ovn-vif" \
  https://github.com/ovn-org/ovn-vif/tags .*/v?(\d\S+)\.tar\.gz

## ovn 22.03.8

=== debian/changelog ===
ovn (22.03.8-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream point release 22.03.8 (LP: #2119301).
  * d/p/CVE-2024-2182.patch: Drop, included in point release.
  * d/p/CVE-2025-0650.patch: Drop, included in point release.
  * d/p/lp-2056769-ftbfs.patch: Drop, included in point release.
  * d/p/lp-2119151-Revert-northd-Don-t-skip-the-unSNAT-stage-for-traffi.patch:
    [Hardware Offload] Fix traffic from SNATed networks to Load Balancer
    VIPs (LP: #2119151).
  * d/flaky-tests.txt: Added flaky test for s390x architecture.

 -- Martin Kalcok <martin.kalcok@canonical.com>  Thu, 31 Jul 2025 11:57:22 +0000

=== debian/control ===
Source: ovn
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
Build-Depends:
 autoconf (>= 2.64),
 automake (>= 1.10) | automake1.10,
 bzip2,
 debhelper-compat (= 10),
 dh-python,
 graphviz,
 libcap-ng-dev,
 libnuma-dev [amd64 i386 ppc64el arm64],
 libpcap-dev [amd64 i386 ppc64el arm64],
 libssl-dev,
 libtool,
 libudev-dev,
 libunbound-dev,
 openssl,
 openvswitch-source (>= 2.17.9-0ubuntu0.22.04.1~),
 pkg-config,
 procps,
 python3-all-dev,
 python3-setuptools,
 python3-sortedcontainers,
 python3-sphinx,
 tcpdump,
Standards-Version: 4.4.0
Homepage: https://github.com/ovn-org/ovn
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn

Package: ovn-central
Architecture: linux-any
Depends:
 lsb-base,
 lsb-release,
 openvswitch-common (>= 2.17.0~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN central components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-central provides the userspace daemons, utilities and
 databases for OVN that is run at a central location.

Package: ovn-common
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OVN common components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-common provides components required by other OVN packages.

Package: ovn-controller-vtep
Architecture: linux-any
Depends:
 lsb-base,
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN vtep controller
 ovn-controller-vtep is the local controller daemon in
 OVN, the Open Virtual Network, for VTEP enabled physical switches.
 It connects up to the OVN Southbound database over the OVSDB protocol,
 and down to the VTEP database over the OVSDB protocol.
 .
 ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
 vtep gateways.

Package: ovn-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OVN documentation
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 This package provides documentation for configuration and use
 of OVN.

Package: ovn-docker
Architecture: linux-any
Depends:
 openvswitch-common (>= 2.17.0~),
 ovn-common (= ${binary:Version}),
 python3-openvswitch (>= 2.17.0~),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OVN Docker drivers
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-docker provides the docker drivers for OVN.

Package: ovn-host
Architecture: linux-any
Depends:
 lsb-base,
 lsb-release,
 openvswitch-switch (>= 2.17.0~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN host components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-host provides the userspace components and utilities for
 OVN that can be run on every host/hypervisor.

Package: ovn-ic
Architecture: linux-any
Depends:
 lsb-base,
 lsb-release,
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 ovn-central,
Suggests:
 ovn-ic-db,
Description: Open Virtual Network interconnection controller
 OVN IC, the Open Virtual Network interconnection controller, is a
 centralized daemon which communicates with global interconnection
 databases to configure and exchange data with local OVN databases for
 interconnection with other OVN deployments.
 .
 This package provides the ovn-ic daemon which should be run alongside
 ovn-central services in each OVN deployment zone.

Package: ovn-ic-db
Architecture: linux-any
Depends:
 lsb-base,
 lsb-release,
 openvswitch-common (>= 2.17.0~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open Virtual Network interconnection controller databases
 OVN IC, the Open Virtual Network interconnection controller, is a
 centralized daemon which communicates with global interconnection
 databases to configure and exchange data with local OVN databases for
 interconnection with other OVN deployments.
 .
 This package provides the global OVN IC southbound and northbound
 OVSDB databases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,python3,sphinxdoc

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

override_dh_auto_configure:
	# Configure OVS before OVN
	test -d $(CURDIR)/ovs || mkdir ovs
	cd ovs && tar -xzf /usr/src/openvswitch/openvswitch.tar.gz --strip-components=1
	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr && make $(PARALLEL)
	# Configure OVN to allow building OVN VIF
	./boot.sh && ./configure \
		--prefix=/usr \
		--localstatedir=/var \
		--sysconfdir=/etc \
		--with-dbdir=/var/lib/ovn \
		--with-ovs-source=$(CURDIR)/ovs \
		--enable-ssl
	# Configure and build OVN VIF
	cd ovn-vif && \
		./boot.sh && \
		./configure \
			--with-ovs-source=$(CURDIR)/ovs \
			--with-ovn-source=$(CURDIR) \
			--enable-plug-representor && \
		make $(PARALLEL)
	# Use dh_auto_configure to reconfigure OVN with ovn-vif
	dh_auto_configure -- \
		--prefix=/usr \
		--localstatedir=/var \
		--sysconfdir=/etc \
		--with-dbdir=/var/lib/ovn \
		--with-ovs-source=$(CURDIR)/ovs \
		--enable-ssl \
		--with-vif-plug-provider=$(CURDIR)/ovn-vif

# Last Review: 22.03.0
# https://bugs.launchpad.net/ubuntu/+source/ovn/+bug/1956749
TEST_LIST = $(shell \
		$(CURDIR)/debian/testlist.py \
		$(CURDIR)/debian/flaky-tests.txt \
		$(CURDIR)/tests/testsuite)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	if $(MAKE) check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST)' || \
                $(MAKE) check TESTSUITEFLAGS='--recheck'; then :; \
	else \
		cat tests/testsuite.log; \
		exit 1; \
	fi
endif # nocheck

override_dh_auto_build:
	cd ovs && $(MAKE) $(PARALLEL)
	$(MAKE) $(PARALLEL)

override_dh_auto_clean:
	dh_auto_clean
	cd ovn-vif && make distclean | :
	rm -rf ovs

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/bin/ovn-detrace
	mv $(CURDIR)/debian/tmp/usr/bin/ovn_detrace.py \
		$(CURDIR)/debian/tmp/usr/bin/ovn-detrace


override_dh_installinit:
	# Package does not ship any init.d files
	dh_installinit --no-scripts

override_dh_systemd_enable:
	dh_systemd_enable -povn-central --name=ovn-northd
	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-sb
	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-nb
	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-sb
	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-nb
	dh_systemd_enable -povn-host --name=ovn-controller
	dh_systemd_enable

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Helper target for creating snapshots from upstream git
DATE=$(shell date +%Y%m%d)
# Upstream branch to track
BRANCH=main
VERSION=22.03.0

get-orig-snapshot:
	rm -Rf ovn-upstream ovn-vif-upstream
	git clone --branch $(BRANCH) --depth 1 https://github.com/ovn-org/ovn ovn-upstream
	git clone --branch $(BRANCH) --depth 1 https://github.com/ovn-org/ovn-vif ovn-vif-upstream
	cd ovn-upstream && \
		export COMMIT=`git rev-parse --short HEAD` && \
		git archive --format tgz --prefix=ovn-$(VERSION)~git$(DATE).$$COMMIT/ \
			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH) && \
		cd ../ovn-vif-upstream && \
		git archive --format tgz --prefix=ovn-vif-$(VERSION)~git$(DATE).$$COMMIT/ \
			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig-ovn-vif.tar.gz $(BRANCH)
	rm -Rf ovn-upstream ovn-vif-upstream

## ovn 22.09.0

=== debian/changelog ===
ovn (22.09.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1988564).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 21 Sep 2022 16:58:37 +0100

ovn (22.06.0-0ubuntu3) kinetic; urgency=medium

  * d/rules, d/ovn-common.install: Properly fix the ovn-detrace binary
    (LP: #1971178).
  * d/gbp.conf: Add the package components.
  * d/rules, d/flaky-tests.txt: Extend skip test list.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 31 Aug 2022 10:25:38 +0100

ovn (22.06.0-0ubuntu2) kinetic; urgency=medium

  * d/flaky-tests.txt: Amend pattern to correctly skip tests.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jul 2022 19:21:03 +0100

ovn (22.06.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * d/control: Update openvswitch build requirement.
  * d/ovn-common.install: Add missing ovn_detrace.py binary (LP: #1971178).
  * d/rules, d/testlist.py, d/flaky-tests.txt:
    - Dynamically build list of tests to run from list of test descriptions.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 18 Jul 2022 17:34:42 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libudev-dev,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.17.9-0ubuntu0.22.04.1~),
+ openvswitch-source (>= 3.0.0~),
  pkg-config,
  procps,
  python3-all-dev,

## ovn 22.09.1

=== debian/changelog ===
ovn (22.09.1-0ubuntu0.22.10.1~cloud1) jammy-zed; urgency=medium

  * CVE-2024-2182: Fix insufficient validation of incoming BFD packets
    (LP: #2053113).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 12 Mar 2024 10:36:15 +0000

ovn (22.09.1-0ubuntu0.22.10.1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 08 Feb 2023 08:18:07 +0000

ovn (22.09.1-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream version 22.09.1 (LP: #2003054).
  * d/control: Bump openvswitch build requirement.
  * d/flaky-tests.txt: Extend list of flaky tests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 17 Jan 2023 09:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libudev-dev,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 3.0.0~),
+ openvswitch-source (>= 3.0.3-0ubuntu0.22.10.1~),
  pkg-config,
  procps,
  python3-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 		--enable-ssl \
 		--with-vif-plug-provider=$(CURDIR)/ovn-vif
 
-# Last Review: 22.03.0
+# Last Review: 22.06.0
 # https://bugs.launchpad.net/ubuntu/+source/ovn/+bug/1956749
 TEST_LIST = $(shell \
 		$(CURDIR)/debian/testlist.py \

## ovn 22.12.0

=== debian/changelog ===
ovn (22.12.0-4) unstable; urgency=medium

  * Extend list of tests to skip (LP: #2002475, LP: #2002476, LP:
    #2002477).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 11 Jan 2023 09:23:01 +0100

ovn (22.12.0-3) unstable; urgency=medium

  * d/ovn-host.preinst: Do not clear runtime state on package upgrade
    (LP: #1940043).
  * d/control: Bump version requirement for bash (LP: #1997093).
  * d/skip-tests.txt, d/flaky-tests-amd64.txt: Re-enable "ovn-controller
    incremental processing" test (LP: #1997093).
  * d/rules: Re-enable test suite.
  * d/p/a810bd80f572eefb2c14096a1413a45d7673314d.patch: Fix OVN VIF Python
    3.11 build failure.
  * d/skip-tests.txt: Skip Check NB-SB mirrors sync (LP: #2002406).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 10 Jan 2023 14:59:46 +0100

ovn (22.12.0-2) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sat, 17 Dec 2022 17:48:19 +0000

ovn (22.12.0-1) experimental; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/22.12.0'
  * Bump dependency on openvswitch-source
  * Temporarily disable tests

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Dec 2022 16:18:10 +0000

ovn (22.09.0-3) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/flaky-tests-i386.txt: Extend flaky test list for i386

 -- Luca Boccassi <bluca@debian.org>  Thu, 01 Dec 2022 14:05:59 +0100

ovn (22.09.0-2) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/flaky-tests-i386.txt: Extend flaky test list for i386

 -- Luca Boccassi <bluca@debian.org>  Wed, 30 Nov 2022 18:04:48 +0100

ovn (22.09.0-1) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/22.09.0'
  * d/testlist.py: Support reading stdin and comments in list
  * d/rules: Add common test skip list
  * d/skip-tests.txt: Skip 'ovn-controller incremental processing'
    which currently has a false negative result due to a regression
    in bash 5.2 (LP: #1997093).
  * d/control: Update openvswitch-source build dependency version

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Nov 2022 11:52:41 +0000

ovn (22.03.1-7) unstable; urgency=medium

  * Add "1 LR with distributed router gateway port" and
    "2 HVs, 2 lports/HV, localnet ports, DVR N-S Ping" to flacky-armhf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Nov 2022 15:20:47 +0100

ovn (22.03.1-6) unstable; urgency=medium

  * d/flaky-tests-*: ovn-controller incremental processing (Closes: #1019991).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Nov 2022 12:52:27 +0100

ovn (22.03.1-5) unstable; urgency=medium

  * Team upload.
  * d/flaky-tests-mipsel: extend list

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Aug 2022 03:16:13 +0100

ovn (22.03.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Aug 2022 21:03:07 +0100

ovn (22.03.1-3) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/flaky-tests-armel.txt, d/flaky-tests-armhf.txt: Extend list
  * d/rules, d/ovn-common.install: Properly fix the ovn-detrace binary
    (LP: #1971178).

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Aug 2022 10:10:55 +0100

ovn (22.03.1-2) experimental; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/gbp.conf: Move components option to default section
  * d/flaky-tests-mips64el.txt: Skip "nb_cfg timestamp"
  * d/changelog: Remove surplus item

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Aug 2022 14:15:57 +0100

ovn (22.03.1-1) experimental; urgency=medium

  * Update to 22.03, merge Debian, Ubuntu and upstream packaging.
    - d/control: add misc:Pre-Depends for compat 13 to pkgs with services
    - d/rules: Remove unused and incorrect UPSTREAM_GIT variable
    - d/rules: Drop include /usr/share/openstack-pkg-tools/pkgos.make
    - d/rules: Update hardening config
    - d/rules: Drop autoreconf override
    - d/control: switch to debhelper-compat (= 13)
    - d/copyright: Remove leftovers from OVS/OVN split
    - d/ovn-common.install: Add missing ovn_detrace.py binary (LP: ##1971178).
    - d/rules: Determine testlist at build time
    - d/gbp.conf: Add gbp configuration
    - d/watch: Update watch file
    - d/gbp.conf, d/watch: Add ovn-vif component
    - d/rules: Enable building with OVN VIF
    - d/control: Update openvswitch build-/runtime- dep
    - d/source/include-binaries: Allow binary diff for ovn-vif logo
    - d/control Add BD on libudev-dev
    - d/not-installed: We don't package the header- or library files
    - d/control, d/*.install: Move ovn-ic-*ctl to ovn-common
    - d/ovn-common.install: Add missing manpages
    - d/ovn-common.install: Add missing bugtool files
    - d/control: Update standards version to 4.6.1
    - d/copyright: Add ovn-vif, remove unused lgpl-2.1-with-exception
    - d/rules: Add helper for creating snapshots from upstream git
    - d/p: Drop debian automake.mk patch

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 03 Aug 2022 10:38:50 +0200

ovn (21.06.0+ds1-14) unstable; urgency=medium

  * ppc64el: also blacklist 810.
  * mips64el: also blacklist 945.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 11:49:51 +0200

ovn (21.06.0+ds1-13) unstable; urgency=medium

  * More blacklist for mipsel and ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 10:48:41 +0200

ovn (21.06.0+ds1-12) unstable; urgency=medium

  * More blacklist for armel.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2022 18:42:15 +0200

ovn (21.06.0+ds1-11) unstable; urgency=medium

  * mipsel: disable unit test 151 and 624.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2022 14:34:00 +0200

ovn (21.06.0+ds1-10) unstable; urgency=medium

  * Really blacklist 578 on i386 and more.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2022 12:28:07 +0200

ovn (21.06.0+ds1-9) unstable; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Uploaders:
+ Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- autoconf (>= 2.64),
- automake (>= 1.10) | automake1.10,
+ autoconf,
+ automake,
+ bash (>= 5.2.15~),
  bzip2,
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  graphviz,
  libcap-ng-dev,
@@ -18,7 +20,8 @@
  libudev-dev,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 3.0.3-0ubuntu0.22.10.1~),
+ openstack-pkg-tools,
+ openvswitch-source (>= 3.1.0~),
  pkg-config,
  procps,
  python3-all-dev,
@@ -26,13 +29,14 @@
  python3-sortedcontainers,
  python3-sphinx,
  tcpdump,
-Standards-Version: 4.4.0
-Homepage: https://github.com/ovn-org/ovn
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
+Homepage: http://openvswitch.org/
 
 Package: ovn-central
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  lsb-release,
@@ -42,9 +46,9 @@
  ${shlibs:Depends},
 Description: OVN central components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
+ abstraction. OVN complements the existing capabilities of OVS to add native
+ support for virtual network abstractions, such as virtual L2 and L3 overlays
+ and security groups.
  .
  ovn-central provides the userspace daemons, utilities and
  databases for OVN that is run at a central location.
@@ -55,26 +59,31 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Breaks:
+ ovn-ic-db (<< 22.03~),
+Replaces:
+ ovn-ic-db (<< 22.03~),
 Description: OVN common components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
+ abstraction. OVN complements the existing capabilities of OVS to add native
+ support for virtual network abstractions, such as virtual L2 and L3 overlays
+ and security groups.
  .
  ovn-common provides components required by other OVN packages.
 
 Package: ovn-controller-vtep
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN vtep controller
- ovn-controller-vtep is the local controller daemon in
- OVN, the Open Virtual Network, for VTEP enabled physical switches.
- It connects up to the OVN Southbound database over the OVSDB protocol,
- and down to the VTEP database over the OVSDB protocol.
+ ovn-controller-vtep is the local controller daemon in OVN, the Open Virtual
+ Network, for VTEP enabled physical switches. It connects up to the OVN
+ Southbound database over the OVSDB protocol, and down to the VTEP database
+ over the OVSDB protocol.
  .
  ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
  vtep gateways.
@@ -113,6 +122,7 @@
 
 Package: ovn-host
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  lsb-release,
@@ -131,6 +141,7 @@
 
 Package: ovn-ic
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  lsb-release,
@@ -152,6 +163,7 @@
 
 Package: ovn-ic-db
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends:
  lsb-base,
  lsb-release,

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf,python3,sphinxdoc
-
-# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
-DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
-override_dh_autoreconf:
-	dh_autoreconf $(DH_AS_NEEDED)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -37,7 +33,7 @@
 			--with-ovn-source=$(CURDIR) \
 			--enable-plug-representor && \
 		make $(PARALLEL)
-	# Use dh_auto_configure to reconfigure OVN with ovn-vif
+	# Use dh_auto_configure to build OVN
 	dh_auto_configure -- \
 		--prefix=/usr \
 		--localstatedir=/var \
@@ -47,12 +43,10 @@
 		--enable-ssl \
 		--with-vif-plug-provider=$(CURDIR)/ovn-vif
 
-# Last Review: 22.06.0
-# https://bugs.launchpad.net/ubuntu/+source/ovn/+bug/1956749
 TEST_LIST = $(shell \
-		$(CURDIR)/debian/testlist.py \
-		$(CURDIR)/debian/flaky-tests.txt \
-		$(CURDIR)/tests/testsuite)
+	        cat $(CURDIR)/debian/skip-tests.txt \
+                    $(CURDIR)/debian/flaky-tests-$(DEB_HOST_ARCH).txt | \
+                $(CURDIR)/debian/testlist.py - $(CURDIR)/tests/testsuite)
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -73,28 +67,23 @@
 	cd ovn-vif && make distclean | :
 	rm -rf ovs
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ovn-detrace
 	mv $(CURDIR)/debian/tmp/usr/bin/ovn_detrace.py \
 		$(CURDIR)/debian/tmp/usr/bin/ovn-detrace
-
 
 override_dh_installinit:
 	# Package does not ship any init.d files
 	dh_installinit --no-scripts
 
-override_dh_systemd_enable:
-	dh_systemd_enable -povn-central --name=ovn-northd
-	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-sb
-	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-nb
-	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-sb
-	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-nb
-	dh_systemd_enable -povn-host --name=ovn-controller
-	dh_systemd_enable
-
-override_dh_systemd_start:
-	dh_systemd_start --restart-after-upgrade
+override_dh_installsystemd:
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-northd
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-sb
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-nb
+	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-sb
+	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-nb
+	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-controller
+	dh_installsystemd --restart-after-upgrade
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
@@ -103,7 +92,7 @@
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
 BRANCH=main
-VERSION=22.03.0
+VERSION=22.09.0
 
 get-orig-snapshot:
 	rm -Rf ovn-upstream ovn-vif-upstream

## ovn 23.03.0

=== debian/changelog ===
ovn (23.03.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045869).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Aug 2023 13:15:37 +0200

ovn (23.03.0-2) unstable; urgency=medium

  * Added Build-Depends: architecture-is-64-bit, since the upstream code isn't
    32-bits compatible. See https://bugs.launchpad.net/neutron/+bug/2025985
    for more details.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jul 2023 13:54:40 +0200

ovn (23.03.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/23.03.0'

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 06 Mar 2023 09:14:26 +0100

ovn (23.03.0~git20230221.038cfb1-1) unstable; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/23.03.0_git20230221.038cfb1'
  * d/gbp.conf: Set snapshot branch to branch-23.03
  * d/p/a810bd80f572eefb2c14096a1413a45d7673314d.patch: Drop, included in
    snapshot.
  * d/skip-tests.txt: Extend list of flaky tests (LP: #2007923).
  * d/control: Drop dependencies on lsb-base, deprecated.
  * d/control: Bump Standards-Version to 4.6.2, no changes.
  * d/control: Bump openvswitch-source build requirement.

  [ Luca Boccassi ]
  * Set Rules-Requires-Root

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 Feb 2023 13:32:19 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
+ architecture-is-64-bit,
  autoconf,
  automake,
  bash (>= 5.2.15~),
@@ -21,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.1.0~),
+ openvswitch-source (>= 3.1.0-1~),
  pkg-config,
  procps,
  python3-all-dev,
@@ -29,7 +30,8 @@
  python3-sortedcontainers,
  python3-sphinx,
  tcpdump,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
 Homepage: http://openvswitch.org/
@@ -38,7 +40,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  lsb-release,
  openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
@@ -75,7 +76,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -124,7 +124,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  lsb-release,
  openvswitch-switch (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
@@ -143,7 +142,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  lsb-release,
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
@@ -165,7 +163,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
- lsb-base,
  lsb-release,
  openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),

## ovn 23.03.1

=== Documentation/requirements.txt ===
sphinx>=1.1,<2.0
ovs_sphinx_theme>=1.0,<1.1

=== utilities/containers/Makefile ===
CONTAINER_CMD ?= podman
DISTRO ?= fedora
IMAGE_NAME ?= "ovn-org/ovn-tests"

.PHONY: build

build: ;$(CONTAINER_CMD) build --no-cache --rm -t $(IMAGE_NAME) -f $(DISTRO)/Dockerfile .

=== debian/changelog ===
ovn (23.03.1-1~deb12u2) bookworm; urgency=medium

  * Team upload.
  * CVE-2024-2182: Fix insufficient validation of incoming BFD packets
    (LP: #2053113).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 12 Mar 2024 14:49:48 +0100

ovn (23.03.1-1~deb12u1) bookworm; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/23.03.1'
    - Add CoPP for the svc_monitor_mac. This addresses CVE-2023-3153.
    (Closes: #1043598)
  * d/p/*vif-plug-representor*: Lower severity of failure to set udev
    receive buffer size (LP: #2034700).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 08 Sep 2023 09:02:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- architecture-is-64-bit,
  autoconf,
  automake,
  bash (>= 5.2.15~),

## ovn 23.09.0

=== debian/changelog ===
ovn (23.09.0-2) unstable; urgency=medium

  * Team upload.
  * d/rules: openvswitch-source now ships as a directory tree.
  * d/control: Bump openvswitch-source version dependency.
  * d/p/revert-ovs-python-build-rename.patch: Drop, redundant after
    updated openvswitch-source dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 02 Nov 2023 17:18:11 +0100

ovn (23.09.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/23.09.0'
    - Add CoPP for the svc_monitor_mac. This addresses CVE-2023-3153.
    (Closes: #1043598)
  * d/p/revert-ovs-python-build-rename.patch: Revert OVN adaption for not
    yet released OVS build system changes (LP: #2036397).
  * d/control: Add python3-scapy build dependency.
  * d/flaky-tests-s390x.txt: Add failing test case.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 18 Sep 2023 08:34:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
+ architecture-is-64-bit,
  autoconf,
  automake,
  bash (>= 5.2.15~),
@@ -21,10 +22,11 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.1.0-1~),
+ openvswitch-source (>= 3.2.2~),
  pkg-config,
  procps,
  python3-all-dev,
+ python3-scapy,
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 
 override_dh_auto_configure:
 	# Configure OVS before OVN
-	test -d $(CURDIR)/ovs || mkdir ovs
-	cd ovs && tar -xzf /usr/src/openvswitch/openvswitch.tar.gz --strip-components=1
+	test -d $(CURDIR)/ovs || cp -R /usr/src/openvswitch ovs
 	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr && make $(PARALLEL)
 	# Configure OVN to allow building OVN VIF
 	./boot.sh && ./configure \
@@ -66,6 +65,23 @@
 	dh_auto_clean
 	cd ovn-vif && make distclean | :
 	rm -rf ovs
+	rm -rf ovn-vif/Documentation/_build
+	rm -rf ovn-vif/build-aux/compile
+	set -e ; set -x ; for i in config.guess config.sub depcomp install-sh ltmain.sh missing ; do rm rm -rf ovn-vif/build-aux/$$i ; done
+	rm -f ovn-vif/config.status ovn-vif/configure ovn-vif/docs-check ovn-vif/lib/.dirstamp
+	rm -rf ovn-vif/lib/.libs
+	rm -f ovn-vif/lib/*.o
+	rm -f ovn-vif/lib/vif-plug-providers/representor/.dirstamp  ovn-vif/lib/vif-plug-providers/representor/tests_ovstest-vif-plug-representor.o ovn-vif/lib/vif-plug-providers/representor/vif-plug-representor.o \
+		ovn-vif/tests/.dirstamp ovn-vif/tests/ovstest
+	rm -f ovn-vif/tests/*.o
+	rm -f ovn-vif/tests/system-kmod-testsuite
+	rm -f ovn-vif/utilities/devlink ovn-vif/utilities/devlink.o
+	rm -f tests/perf-testsuite tests/system-kmod-testsuite tests/system-userspace-testsuite tests/testsuite
+	rm -f ovn-vif/libtool ovn-vif/tests/testsuite ovn-vif/utilities/.dirstamp package.m4 rhel/ovn-fedora.spec
+
+	set -e ; set -x ; for i in Makefile Makefile.in aclocal.m4 config.h config.h.in config.log distfiles include/ovn-vif/version.h lib/libovn-vif.la lib/libovn-vif.sym lib/netlink-devlink.lo lib/ovn-vif.lo lib/vif-plug-providers/representor/vif-plug-representor.lo libtool m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4 package.m4 stamp-h1 tests/atconfig tests/atlocal tests/testsuite ; do \
+		rm -f ovn-vif/$$i ; \
+	done
 
 execute_after_dh_auto_install:
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ovn-detrace
@@ -91,8 +107,8 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=main
-VERSION=22.09.0
+BRANCH=branch-23.03
+VERSION=23.03.0
 
 get-orig-snapshot:
 	rm -Rf ovn-upstream ovn-vif-upstream

## ovn 23.09.3

=== debian/changelog ===
ovn (23.09.3-0ubuntu0.23.10.1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Automaton <openstack-testing-bot@ubuntu.com>  Thu, 25 Jul 2024 10:03:11 +0000

ovn (23.09.3-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream point release 23.09.3 (LP: #2059087).
  * d/p/CVE-2024-2182.patch: Drop, included in point releae.
  * d/tests: No change backport of autopkgtests from noble.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Fri, 29 Mar 2024 08:56:00 +0000

ovn (23.09.0-1ubuntu1) mantic; urgency=medium

  * d/control: Update openvswitch-source build dependency version.
  * d/p/revert-ovs-python-build-rename.patch: Drop to fix FTBFS
    (LP: #2056769).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 14 Mar 2024 14:34:06 +0000

ovn (23.09.0-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Insufficient validation of incoming BFD packets
    - debian/patches/CVE-2024-2182.patch: set check_tnl_key for BFD on
      tunnel ifaces in controller/bfd.c, tests/ovn.at.
    - CVE-2024-2182

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 19:40:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  architecture-is-64-bit,
  autoconf,
  automake,
- bash (>= 5.2.15~),
  bzip2,
  debhelper-compat (= 13),
  dh-python,
@@ -22,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.2.2~),
+ openvswitch-source (>= 3.2.2-0ubuntu0.23.10.1~),
  pkg-config,
  procps,
  python3-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 
 override_dh_auto_configure:
 	# Configure OVS before OVN
-	test -d $(CURDIR)/ovs || cp -R /usr/src/openvswitch ovs
+	test -d $(CURDIR)/ovs || mkdir ovs
+	cd ovs && tar -xzf /usr/src/openvswitch/openvswitch.tar.gz --strip-components=1
 	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr && make $(PARALLEL)
 	# Configure OVN to allow building OVN VIF
 	./boot.sh && ./configure \

=== debian/tests/control ===
Tests: kmod
Depends:
 @,
 conntrack,
 curl,
 devscripts,
 ethtool,
 equivs,
 net-tools,
 ncat,
 python3-pyftpdlib,
 python3-scapy,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-root,
 rw-build-tree,

# The dpdk tests are marked `skippable`, because they have environment specific
# requirements which may or may not be available at runtime (hugepages setup).
Tests: dpdk
Depends:
 @,
 conntrack,
 curl,
 devscripts,
 dpdk-dev [amd64 ppc64el arm64 riscv64],
 ethtool,
 equivs,
 net-tools,
 ncat,
 openvswitch-switch-dpdk [amd64 ppc64el arm64 riscv64],
 python3-pyftpdlib,
 python3-scapy,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-root,
 rw-build-tree,
 skippable,

## ovn 24.03.1

=== debian/changelog ===
ovn (24.03.1-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:18 +1100

ovn (24.03.1-2ubuntu2) noble; urgency=medium

  * d/tests/run-tests.sh: Use 1G hugepages for dpdk test on arm64
    (LP: #2059400).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 28 Mar 2024 14:25:09 +0000

ovn (24.03.1-2ubuntu1) noble; urgency=medium

  * d/rules: Fix check for ovs populated from openvswitch-source.
  * d/t/control: Add missing architecture restrictions for
    openvswitch-switch-dpdk.
  * d/t/run-tests.sh: Fix autopkgtest for binary packages (LP: #2057998).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Fri, 15 Mar 2024 07:23:05 +0000

ovn (24.03.1-2) unstable; urgency=medium

  * Team upload.
  * d/t/run-tests.sh: Fix typo in autopkgtest script.
  * d/rules: Skip tests deemed unstable by upstream.
  * d/skip-tests.txt: Add flaky test to the skip-list.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 13 Mar 2024 14:49:23 +0100

ovn (24.03.1-1) unstable; urgency=medium

  * Team upload.
  * d/tests: Run system test suites for autopkgtest.
  * Update upstream source from tag 'upstream/24.03.1'.
    - CVE-2024-2182: Fix insufficient validation of incoming BFD packets
      (LP: #2053113).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 12 Mar 2024 14:37:17 +0100

ovn (24.03.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/24.03.0'.
  * d/control: Replace pkg-config with pkgconf as build dependency.
  * d/control: Update openvswitch-source build dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 04 Mar 2024 13:30:04 +0100

ovn (24.03.0~git20240205.ebb7076-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/24.03.0_git20240205.ebb7076'.
  * d/control: Update openvswitch dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 05 Feb 2024 07:20:16 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  architecture-is-64-bit,
  autoconf,
  automake,
+ bash (>= 5.2.15~),
  bzip2,
  debhelper-compat (= 13),
  dh-python,
@@ -22,8 +23,8 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.2.2-0ubuntu0.23.10.1~),
- pkg-config,
+ openvswitch-source (>= 3.3.0-1~),
+ pkgconf,
  procps,
  python3-all-dev,
  python3-scapy,

## ovn 24.03.2

=== debian/changelog ===
ovn (24.03.2-2maysync1) oracular; urgency=medium

  [ Roberto Bartzen Acosta ]
  * Fix ovn-ic.service systemd script (LP: #2063260)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 04 Jun 2024 16:27:14 +0200

ovn (24.03.2-2) unstable; urgency=medium

  * Team upload.
  * d/p/lp-2066194-tests-Ignore-ovs-vswitchd-received-packet-on-
    unknown.patch: Avoid false negative test result due to intermittent
    warning message from ovs-vswitchd.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 20 May 2024 20:51:04 +0200

ovn (24.03.2-1) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix check for ovs populated from openvswitch-source.
  * d/t/control: Drop i386 from architecture restrictions.
  * d/t/control: Add missing architecture restrictions for openvswitch-
    switch-dpdk.
  * d/t/run-tests.sh: Fix autopkgtest for binary packages (LP: #2057998).
  * d/tests/run-tests.sh: Use 1G hugepages for dpdk test on arm64 (LP:
    #2059400).
  * Update upstream source from tag 'upstream/24.03.2'
  * d/ovn-common.install: Add new ovn-debug binary.
  * d/control: Bump openvswitch-source version.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sat, 18 May 2024 22:06:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -23,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.3.0-1~),
+ openvswitch-source (>= 3.3.0-5~),
  pkgconf,
  procps,
  python3-all-dev,

## ovn 24.03.6

=== utilities/docker/Makefile ===
#export OVN_BRANCH=master
#export OVN_VERSION=2.12
#export DISTRO=debian
#export GITHUB_SRC=https://github.com/ovn-org/ovn.git
#export DOCKER_REPO=ovn-org/ovn

# Example:
#   make build
#   make push

REPO = ${DOCKER_REPO}
tag = ${OVN_VERSION}_${DISTRO}_${OVN_BRANCH}

build: ;docker build -t ${REPO}:${tag} --build-arg DISTRO=${DISTRO} \
--build-arg OVN_BRANCH=${OVN_BRANCH} \
--build-arg GITHUB_SRC=${GITHUB_SRC} -f ${DISTRO}/Dockerfile .

.PHONY: build

push: ;docker push ${REPO}:${tag}

=== debian/changelog ===
ovn (24.03.6-0ubuntu0.24.04.1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Sep 2025 16:21:49 +0000

ovn (24.03.6-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream point release 24.03.6 (LP: #2119289).
  * d/control: Bump openvswitch-source version.
  * d/p/CVE-2025-0650.patch: Drop, redundant after point
    release update.
  * d/p/lp-2119151-Revert-northd-Don-t-skip-the-unSNAT-stage-for-traffi.patch:
    [Hardware Offload] Fix traffic from SNATed networks to Load Balancer
    VIPs (LP: #2119151).

 -- Martin Kalcok <martin.kalcok@canonical.com>  Fri, 01 Aug 2025 08:42:42 +0000

ovn (24.03.2-0ubuntu0.24.04.2) noble-security; urgency=medium

  * SECURITY UPDATE: ACL bypass in logical switch with DNS records
    - debian/patches/CVE-2025-0650.patch: skip only OVN DNS responder
      packets from OUT_ACL in controller/pinctrl.c,
      include/ovn/logical-fields.h, lib/logical-fields.c, northd/northd.c,
      tests/ovn.at.
    - CVE-2025-0650

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2025 09:53:26 -0500

ovn (24.03.2-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream point release 24.03.2 (LP: #2066908).
  * d/control: Bump openvswitch-source version.
  * d/ovn-common.install: Add new ovn-debug binary.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 23 May 2024 13:28:23 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -26,12 +26,12 @@
  conntrack,
  curl,
  devscripts,
- dpdk-dev [amd64 ppc64el arm64 riscv64],
+ dpdk-dev [amd64 i386 ppc64el arm64 riscv64],
  ethtool,
  equivs,
  net-tools,
  ncat,
- openvswitch-switch-dpdk [amd64 ppc64el arm64 riscv64],
+ openvswitch-switch-dpdk [amd64 i386 ppc64el arm64 riscv64],
  python3-pyftpdlib,
  python3-scapy,
  tcpdump,

## ovn 24.09.0

=== debian/changelog ===
ovn (24.09.0-1~cloud0) noble-dalmatian; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Wed, 18 Sep 2024 15:23:41 +0000

ovn (24.09.0-1) unstable; urgency=medium

  * Team upload.

  [ Roberto Bartzen Acosta ]
  * Fix ovn-ic.service systemd script.

  [ Frode Nordahl ]
  * d/control: Bump openvswitch-source dependency.
  * d/tests: Use build-needed restriction field.
  * Update upstream source from tag 'upstream/24.09.0'.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 16 Sep 2024 13:49:12 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.3.0-5~),
+ openvswitch-source (>= 3.4.0-1~),
  pkgconf,
  procps,
  python3-all-dev,

## ovn 25.03.0~git20250216.7c69af7

=== debian/changelog ===
ovn (25.03.0~git20250216.7c69af7-2) unstable; urgency=medium

  * Blacklist "virtual port claim race condition" on riscv (Closes: #1099595).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 09:28:30 +0100

ovn (25.03.0~git20250216.7c69af7-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/25.03.0_git20250216.7c69af7'
  * d/control: Bump openvswitch dependency to 3.5.0~.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sun, 16 Feb 2025 17:13:40 +0000

## ovn 25.03.0

=== utilities/docker/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-#export OVN_BRANCH=master
-#export OVN_VERSION=2.12
+#export OVN_BRANCH=main
+#export OVN_VERSION=24.03.90
 #export DISTRO=debian
 #export GITHUB_SRC=https://github.com/ovn-org/ovn.git
 #export DOCKER_REPO=ovn-org/ovn

=== debian/changelog ===
ovn (25.03.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/25.03.0'.
  * d/p/lp-2104222-tests-Use-scapy-contrib-BFD-implementation.patch: Fix
    system test failure due to incompatibility with python3-scapy 2.6.1
    (LP: #2104222).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 31 Mar 2025 15:35:50 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.4.0-1~),
+ openvswitch-source (>= 3.5.0~),
  pkgconf,
  procps,
  python3-all-dev,

=== debian/tests/control ===
Tests: kmod
Depends:
 @,
 conntrack,
 curl,
 ethtool,
 net-tools,
 ncat,
 python3-pyftpdlib,
 python3-scapy,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 build-needed,
 isolation-machine,
 needs-root,
 rw-build-tree,

# The dpdk tests are marked `skippable`, because they have environment specific
# requirements which may or may not be available at runtime (hugepages setup).
Tests: dpdk
Depends:
 @,
 conntrack,
 curl,
 dpdk-dev [amd64 ppc64el arm64 riscv64],
 ethtool,
 net-tools,
 ncat,
 openvswitch-switch-dpdk [amd64 ppc64el arm64 riscv64],
 python3-pyftpdlib,
 python3-scapy,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 build-needed,
 isolation-machine,
 needs-root,
 rw-build-tree,
 skippable,
